<?php

namespace Drupal\past_testhidden\Form;

use Drupal\Component\Render\FormattableMarkup;
use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Displays a form with just an submit button.
 */
class FormCustomValidationOnly extends FormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'past_testhidden_form_custom_validation_only';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    drupal_set_message('form handler called by past_testhidden_form_custom_validation_only');
    $form['sample_property'] = array(
      '#type' => 'textfield',
      '#title' => t('Sample Property'),
      '#default_value' => 'sample value',
      '#description' => 'Please enter a dummy value.',
      '#size' => 20,
      '#maxlength' => 20,
    );
    $form['another_sample_property'] = array(
      '#type' => 'checkbox',
      '#title' => t('Another Sample Property'),
      '#default_value' => 0,
      '#description' => 'Please enter a dummy value.',
      '#size' => 20,
      '#maxlength' => 20,
    );
    $form['sample_select'] = array(
      '#type' => 'select',
      '#title' => t('Sample Select'),
      '#options' => array(
        0 => 'No',
        1 => 'Yes',
        2 => 'Maybe',
      ),
      '#default_value' => 2,
      '#multipe' => FALSE,
      '#description' => 'Please enter a dummy value.',
      '#element_validate' => array(array(FormMultiValidation::class, 'elementSampleSelectValidate')),
    );
    $form['submit'] = array(
      '#type' => 'submit',
      '#value' => 'Submit',
    );
    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state) {
    parent::validateForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    drupal_set_message(new FormattableMarkup('global submit handler called by @form_id', array('@form_id' => $form['#form_id'])));
  }

}
